/////////////////////////////////////////////////////////////////
//
// ABOUT.CPP - Definition of AAbout, the product information dialog
//
// (c) 1996 by Stefan Ruck, Frankfurt/Main, Germany
//
/////////////////////////////////////////////////////////////////

#include "about.hpp"

#pragma info (none)
#include <os2.h>
#pragma info (restore)

#ifndef _MNEMONIC_RCH_
#include "mnemonic.rch"
#endif // _MNEMONIC_RCH_

//**************************************************************************
// AAbout :: AAbout - Constructor for about dialog window                  *
//**************************************************************************
AAbout :: AAbout (IWindow * ownerWnd)
                  : IFrameWindow (DLG_ABOUT, ownerWnd)
{
  ICommandHandler :: handleEventsFor (this); //Set self as command event handler
}

//**************************************************************************
// AAbout :: ~AAbout - Destructor for about dialog window                  *
//**************************************************************************
AAbout :: ~AAbout ()
{
}

//**************************************************************************
// AAbout :: command - Process Commands                                    *
//**************************************************************************
Boolean AAbout :: command (ICommandEvent& evt)
{
  if(evt. commandId () == DID_OK)  // close the windows?
     {                             // yes
      close();
      dismiss(DID_OK);
      return (true);
     }

  return (false);
}
